part of 'supply_bloc.dart';

abstract class SupplyEvent extends Equatable {
  const SupplyEvent();

  @override
  List<Object> get props => [];
}

class DataFetched extends SupplyEvent {
  final int? selectedId;
  final String type;
  DataFetched({this.selectedId, required this.type});
}

class OnRefresh extends SupplyEvent {
  final int? selectedId;
  final String type;
  OnRefresh({this.selectedId, required this.type});
}

class OnSearch extends SupplyEvent {
  final String? searchString;
  final int? selectedId;
  final String type;
  OnSearch({this.searchString, this.selectedId, required this.type});
}
